using System;

namespace NsBusinessLogic
{
	/// <summary>
	/// Summary description for DeliveryItem.
	/// </summary>
	public class DeliveryItem
	{
		protected NsPersistent.PDeliveryItem mPersistent = null;

		public DeliveryItem(NsPersistent.PDeliveryItem persistent)
		{
			mPersistent = persistent;
		}


		//**************** Persistent properties & Navigation methods ****************

		public OrderItem GetOrderItem()
		{
			return new OrderItem(mPersistent.GetOrderItem());
		}

		public Delivery GetDelivery()
		{
			return new Delivery(mPersistent.GetDelivery());
		}

		public int Qty
		{
			get { return mPersistent.Qty; }
		}

		public NsPersistent.PDeliveryItem Persistent
		{
			get { return mPersistent; }
		}
	}
}
