using System;

namespace NsPersistent
{
	public enum OrderType {All, Closed, Pending};

	public class DataSetManager
	{
		private static DataAccessService.DS mds = null;
		private static DataAccessService.DataAccess mService = new NsPersistent.DataAccessService.DataAccess();

		public static void LoadDataFromDatabase()
		{
			mds = mService.GetDataSet();
		}

		public static void SubmitDataToDatabase()
		{
			mService.Update(mds);
		}

		public static DataAccessService.DS DS
		{
			get
			{
				return mds;
			}
		}

		static public POrder [] GetAllOrders(OrderType orderType)
		{
			DataAccessService.DS.OrderRow [] aOrderRows = null;
			
			switch (orderType)
			{
				case OrderType.All:
                    aOrderRows = (DataAccessService.DS.OrderRow [])(mds.Order.Select(""));
					break;
				case OrderType.Closed:
					aOrderRows = (DataAccessService.DS.OrderRow [])(mds.Order.Select("Closed=1"));
					break;
				case OrderType.Pending:
					aOrderRows = (DataAccessService.DS.OrderRow [])(mds.Order.Select("Closed=0"));
					break;
            }

			POrder [] aOrders = new POrder[aOrderRows.Length];

			for (int i = 0; i < aOrderRows.Length; i++)
			{
				aOrders[i] = new POrder(aOrderRows[i]);
			}

			return aOrders;
		}

		static public PProduct GetProduct(int iProductId)
		{
			return new PProduct(mds.Product.FindByProductId(iProductId));
		}
	}
}
