using System;

namespace NsPersistent
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	public class PCustomer
	{
		protected DataAccessService.DS.CustomerRow mDataRow = null;

		internal PCustomer(DataAccessService.DS.CustomerRow dataRow)
		{
			mDataRow = dataRow;
		}

		public PCustomer(string strName, string strAddress)
		{
			mDataRow = DataSetManager.DS.Customer.NewCustomerRow();
			mDataRow.Name = strName;
			mDataRow.Address = strAddress;
			DataSetManager.DS.Customer.AddCustomerRow(mDataRow);
		}

		public void Delete()
		{
			mDataRow.Table.Rows.Remove(mDataRow);
			mDataRow = null;
		}

		public POrder [] GetOrders()
		{
			DataAccessService.DS.OrderRow [] aRows = mDataRow.GetOrderRows();
			POrder [] aPersistents = new POrder[aRows.Length];
			
			for (int i = 0; i < aRows.Length; i++)
			{
				aPersistents[i] = new POrder(aRows[i]);
			}

			return aPersistents;
		}

		public int CustomerId
		{
			get { return mDataRow.CustomerId; }
		}

		public string Name
		{
			get { return mDataRow.Name; }
			set { mDataRow.Name = value; }
		}

		public string Address
		{
			get { return mDataRow.Address; }
			set { mDataRow.Address = value; }
		}
	}
}
