using System;

namespace NsPersistent
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	public class POrderItem
	{
		protected DataAccessService.DS.OrderItemRow mDataRow = null;

		internal POrderItem(DataAccessService.DS.OrderItemRow dataRow)
		{
			mDataRow = dataRow;
		}

		/*public POrderItem(int iOrderId, int iProductId, int iQty, int iMinDeliveryQty)
		{
			mDataRow = DataSetManager.DS.OrderItem.NewOrderItemRow();
			mDataRow.OrderId = iOrderId;
			mDataRow.ProductId = iProductId;
			mDataRow.Qty = iQty;
			mDataRow.MinDeliveryQty = iMinDeliveryQty;
			DataSetManager.DS.OrderItem.AddOrderItemRow(mDataRow);
		}*/

		public void Delete()
		{
			mDataRow.Table.Rows.Remove(mDataRow);
			mDataRow = null;
		}

		public PProduct GetProduct()
		{
			return new PProduct(mDataRow.ProductRow);
		}

		public POrder GetOrder()
		{
			return new POrder(mDataRow.OrderRow);
		}

		public PDeliveryItem [] GetItemDeliveries()
		{
			DataAccessService.DS.DeliveryItemRow [] aRows = mDataRow.GetDeliveryItemRows();
			PDeliveryItem [] aPersistents = new PDeliveryItem[aRows.Length];
			
			for (int i = 0; i < aRows.Length; i++)
			{
				aPersistents[i] = new PDeliveryItem(aRows[i]);
			}

			return aPersistents;
		}

		public int OrderItemId
		{
			get { return mDataRow.OrderItemId; }
		}

		public int Qty
		{
			get { return mDataRow.Qty; }
			set { mDataRow.Qty = value; }
		}

		public int MinimumDeliveryQty
		{
			get { return mDataRow.MinDeliveryQty; }
			set { mDataRow.MinDeliveryQty = value; }
		}

		public int PendingQty
		{
			get { return mDataRow.PendingQty; }
			set { mDataRow.PendingQty = value; }
		}
	}
}
