using System;

namespace NsPersistent
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	public class PProduct
	{
		protected DataAccessService.DS.ProductRow mDataRow = null;

		internal PProduct(DataAccessService.DS.ProductRow dataRow)
		{
			mDataRow = dataRow;
		}

		public PProduct(string strDescrip, Decimal dcPrice, int iStockedQty)
		{
			mDataRow = DataSetManager.DS.Product.NewProductRow();
			mDataRow.Description = strDescrip;
			mDataRow.Price = dcPrice;
			mDataRow.StockedQty = iStockedQty;
			DataSetManager.DS.Product.AddProductRow(mDataRow);
		}

		public void Delete()
		{
			mDataRow.Table.Rows.Remove(mDataRow);
			mDataRow = null;
		}

		public POrderItem [] GetOrderItems()
		{
			DataAccessService.DS.OrderItemRow [] aRows = mDataRow.GetOrderItemRows();
			POrderItem [] aPersistents = new POrderItem[aRows.Length];
			
			for (int i = 0; i < aRows.Length; i++)
			{
				aPersistents[i] = new POrderItem(aRows[i]);
			}

			return aPersistents;
		}

		public int ProductId
		{
			get { return mDataRow.ProductId; }
		}

		public string Description
		{
			get { return mDataRow.Description; }
			set { mDataRow.Description = value; }
		}

		public Decimal Price
		{
			get { return mDataRow.Price; }
			set { mDataRow.Price = value; }
		}

		public int StockedQty
		{
			get { return mDataRow.StockedQty; }
			set { mDataRow.StockedQty = value; }
		}
	}
}
