using System;

namespace NsPersistent
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	public class PPurchaseOrder
	{
		protected DataAccessService.DS.PurchaseOrderRow mDataRow = null;

		internal PPurchaseOrder(DataAccessService.DS.PurchaseOrderRow dataRow)
		{
			mDataRow = dataRow;
		}

		public PPurchaseOrder(int iCustomerId, DateTime orderDate)
		{
			mDataRow = DataSetManager.DS.PurchaseOrder.NewPurchaseOrderRow();
			mDataRow.CustomerId = iCustomerId;
			mDataRow.OrderDate = orderDate;
			DataSetManager.DS.PurchaseOrder.AddPurchaseOrderRow(mDataRow);
		}

		public void Delete()
		{
			mDataRow.Table.Rows.Remove(mDataRow);
			mDataRow = null;
		}

		public POrderItem [] GetOrderedProducts()
		{
			DataAccessService.DS.OrderedProductRow [] aRows = mDataRow.GetOrderedProductRows();
			POrderItem [] aPersistents = new POrderItem[aRows.Length];
			
			for (int i = 0; i < aRows.Length; i++)
			{
				aPersistents[i] = new POrderItem(aRows[i]);
			}

			return aPersistents;
		}

		public int OrderId
		{
			get { return mDataRow.OrderId; }
		}

		public int CustomerId
		{
			get { return mDataRow.CustomerId; }
		}

		public DateTime OrderDate
		{
			get { return mDataRow.OrderDate; }
		}

		public DateTime ExpectedDate
		{
			get { return mDataRow.ExpectedDate; }
			set { mDataRow.ExpectedDate = value; }
		}

		public bool Closed
		{
			get { return mDataRow.Closed; }
			set { mDataRow.Closed = value; }
		}
	}
}
